org.eclipse.wst.jsdt.debug.core.jsdi.connect

## Interface ListeningConnector

All Superinterfaces:
  Connector

    public interface ListeningConnector
    extends Connector

Description of a `Connector` that waits and listens for a `VirtualMachine` to connect to it. Clients can implement or extend this interface.

Since:
  1.0
See Also:
  `Argument`, `Connector`, `VirtualMachine`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.connect.Connector

`Connector.Argument, Connector.BooleanArgument, Connector.IntegerArgument, Connector.SelectedArgument, Connector.StringArgument`

### Method Summary

All Methods Instance Methods Abstract Methods
`VirtualMachine` `accept(java.util.Map arguments)` Listens for a `VirtualMachine` to connect to with the given map of arguments.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.connect.Connector

`defaultArguments, description, id, name`

### Method Detail

#### accept

    VirtualMachine accept(java.util.Map arguments)
                   throws java.io.IOException

Listens for a `VirtualMachine` to connect to with the given map of arguments.
This method cannot return `null`. If the connector cannot accept the connection from the `VirtualMachine` an `IOException` is thrown.

Parameters:
  `arguments` - the map of connection arguments which cannot be `null`
Returns:
  the `VirtualMachine` that has been accepted never `null`
Throws:
  `java.io.IOException` - if the `Connector` failed to accept the connection